  accept
    senders = +esf_skip_senders
    logwrite = $sender_address skipped DKIM check via esf_skip_senders
    
  warn
    add_header = X-DKIM: signer='$dkim_cur_signer' status='$dkim_verify_status' reason='$dkim_verify_reason'

  defer
    dkim_status = invalid
    log_message = DKIM: Deferred. reason='$dkim_verify_reason'
    message = DKIM Signature validation has failed. May be a temporary problem.

  warn
    dkim_status = fail
    set acl_m_easy69 = ${eval:$acl_m_easy69+EASY_DKIM_FAIL}
    add_header = DKIMCheck: Server failed DKIM test, EASY_DKIM_FAIL Spam score
    log_message = DKIM: Failed. reason='$dkim_verify_reason'

  warn
    dkim_status = pass
    set acl_m_easy69 = ${eval:$acl_m_easy69+EASY_DKIM_PASS}
    add_header = DKIMCheck: Server passes DKIM test, EASY_DKIM_PASS Spam score

